#### D.15.4.17 difformMul

Procedure from library `difform.lib` (see difform_lib).

Usage:
  df*dg; df,dg difform

Return:
  the product of the differential forms as differential form

Example:

    LIB "difform.lib";
    ring R = 0,(x,y,z),ds;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dDz, dx, dy, dz are available.
    //////////////////////////////////////////
    // Multiplication of differential forms //
    //////////////////////////////////////////
    difform df = 13*dx*dy - 7*dy*dz - 6*dx*dy*dz;
    difform dg = dx - 8x;
    df*dg;
    ==> (-104x)*dx*dy+56x*dy*dz+(-7+48x)*dx*dy*dz
    ==>
    /////////////////////////////////////////////////////////
    // Multiplication of polynomials and differential forms //
    /////////////////////////////////////////////////////////
    df*(y2-x);
    ==> (-13x+13y2)*dx*dy+(7x-7y2)*dy*dz+(6x-6y2)*dx*dy*dz
    ==>
    12*dg;
    ==> -96x+12*dx
    ==>
    kill Omega_R,df,dg,dx,dy,dz;

See also: difformDiv.

User manual for Singular version 4.4.1, 2025, generated by texi2html.